## mfgtools 1.4.43

=== debian/changelog ===
mfgtools (1.4.43-1) unstable; urgency=medium

  * New upstream release
  * Mark autopkgtest as superficial

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 19 Oct 2020 12:21:53 +0000

mfgtools (1.3.191-1) unstable; urgency=medium

  * Initial release (Closes: #916693)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Thu, 30 Jul 2020 18:58:01 +0000
