## mfgtools 1.4.69

=== debian/changelog ===
mfgtools (1.4.69-1) unstable; urgency=medium

  * d/patches: remove 001_cmakelist_so+bhlc+repro.patch, merged upstream
  * New upstream version 1.4.69

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 14 Dec 2020 12:36:46 +0000
