=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath,+fixdebugpath
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_before_dh_auto_configure:
	echo "$(DEB_VERSION_UPSTREAM)" > .tarball-version

# generate the manpages from the scripts using help2man
execute_before_dh_installman:
	help2man --version-option='-h' --help-option='-h' --no-info --name="Freescale/NXP I.MX Chip image deploy tools" \
		debian/uuu/usr/bin/uuu | sed 's/\x1b\[[0-9;]*m//g' > debian/uuu.1
