## mfgtools 1.4.72

=== debian/changelog ===
mfgtools (1.4.72-1) unstable; urgency=medium

  * New upstream version 1.4.72
  * Set Standard-Version to 4.5.1, no changes needed.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 17 Jan 2021 15:24:50 +0000
