## mfgtools 1.4.77

=== debian/changelog ===
mfgtools (1.4.77-1) unstable; urgency=medium

  * New upstream version 1.4.77

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 25 Jan 2021 17:38:40 +0000
