=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libssl-dev,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/NXPmicro/mfgtools
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/mfgtools.git
