## mfgtools 1.4.165

=== debian/changelog ===
mfgtools (1.4.165-1) unstable; urgency=medium

  * New upstream version 1.4.165

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 03 Oct 2021 21:38:04 +0000

mfgtools (1.4.149-1) unstable; urgency=medium

  * New upstream version 1.4.149

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 25 Aug 2021 09:32:17 +0000

mfgtools (1.4.139-2) unstable; urgency=medium

  * d/rules: fix FTBFS on armel/mipsel/m68k/powerpc/sh4
    must link with libatomic (Closes: #992576) - thanks to Adrian Bunk.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 20 Aug 2021 12:18:30 +0000

mfgtools (1.4.139-1) unstable; urgency=medium

  * New upstream version 1.4.139

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 15 Aug 2021 08:08:49 +0000
