=== debian/changelog ===
mfgtools (1.4.174-1) unstable; urgency=medium

  * New upstream version 1.4.174
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sat, 01 Jan 2022 23:31:06 +0000
