## mfgtools 1.4.191

=== debian/changelog ===
mfgtools (1.4.191-1) unstable; urgency=medium

  * New upstream version 1.4.191

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 28 Jan 2022 16:02:32 +0000
