=== debian/changelog ===
mfgtools (1.4.193-1) unstable; urgency=medium

  * New upstream version 1.4.193

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 22 Feb 2022 16:27:47 +0000
