=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/uuu_(\d\S+)\.tar\.gz/uuu_$1\.tar\.gz/ \
  https://github.com/NXPmicro/mfgtools/tags .*/uuu_(\d\S+)\.tar\.gz
