## mfgtools 1.5.21

=== debian/changelog ===
mfgtools (1.5.21-2) unstable; urgency=medium

  * Generate udev 70-uuu.rules at build and ship it

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 28 Jun 2023 14:45:57 +0200

mfgtools (1.5.21-1) experimental; urgency=medium

  * debian/gbp.conf: Set upstream-vcs-tag
  * New upstream release. (Closes: #1032882)
  * Update build-deps according to upstream changes
    - Drop libzip-dev
    - Add libzstd-dev
  * Add myself to uploaders

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 13 Mar 2023 14:39:10 +0100
