=== debian/changelog ===
mfgtools (1.5.109-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: remove generated manpage on clean

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 03 Jul 2023 17:04:12 +0200
