## mfgtools 1.5.125

=== debian/changelog ===
mfgtools (1.5.125-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 10 Aug 2023 13:19:00 +0200
