=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Henry-Nicolas Tourneur <debian@nilux.be>,
+ Andreas Henriksson <andreas@fatal.se>,
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  help2man,
  libbz2-dev,
+ libzstd-dev,
  libusb-1.0-0-dev,
- libzip-dev,
  libssl-dev,
  pkg-config,
  zlib1g-dev,
