=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 	help2man --version-option='-h' --help-option='-h' --no-info --name="Freescale/NXP I.MX Chip image deploy tools" \
 		debian/uuu/usr/bin/uuu | sed 's/\x1b\[[0-9;]*m//g' > debian/uuu.1
 
+execute_after_dh_clean:
+	rm -f debian/uuu.1
+
 # generate udev rules
 execute_after_dh_auto_install:
 	test -e debian/uuu && mkdir -p debian/uuu/lib/udev/rules.d
