## mfgtools 1.5.139

=== debian/changelog ===
mfgtools (1.5.139-1) unstable; urgency=medium

  * Cleanup generated .tarball-version (Closes: #1049209)
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 05 Nov 2023 21:46:29 +0100
