=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 		debian/uuu/usr/bin/uuu | sed 's/\x1b\[[0-9;]*m//g' > debian/uuu.1
 
 execute_after_dh_clean:
-	rm -f debian/uuu.1
+	rm -f debian/uuu.1 .tarball-version
 
 # generate udev rules
 execute_after_dh_auto_install:
