=== debian/changelog ===
mfgtools (1.5.141-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:47 +1100

mfgtools (1.5.141-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 19:59:56 +0000

mfgtools (1.5.141-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev rules file (Closes: #1057829)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 10 Dec 2023 09:08:27 +0100
