=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mfgtools
 Section: admin
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Henry-Nicolas Tourneur <debian@nilux.be>,
  Andreas Henriksson <andreas@fatal.se>,
@@ -14,6 +15,7 @@
  libusb-1.0-0-dev,
  libssl-dev,
  pkg-config,
+ systemd-dev,
  zlib1g-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
