## mfgtools 1.5.182

=== debian/changelog ===
mfgtools (1.5.182-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * uuu: Add Appstream metainfo XML with hardware mapping (Closes: #1070263)

  [ Andreas Henriksson ]
  * New upstream release.
  * Build-dep on tinyxml2
  * Build-dep pkg-config -> pkgconf

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 28 Sep 2024 12:01:05 +0200
