## mfgtools 1.5.191

=== debian/changelog ===
mfgtools (1.5.191-1) unstable; urgency=medium

  * Fix appstream metadata issues
  * debian/gbp.conf: Rename branch to debian/latest
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Nov 2024 19:40:50 +0100
