## mfgtools 1.5.201

=== libuuu/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 pkg_check_modules(LIBUSB REQUIRED libusb-1.0>=1.0.16)
 pkg_check_modules(LIBZSTD REQUIRED libzstd)
 find_package(Threads)
+pkg_check_modules(TINYXML2 REQUIRED tinyxml2)
 
 if (STATIC)
 set(OPENSSL_USE_STATIC_LIBS TRUE)
@@ -21,7 +22,7 @@
 set(UUUOPENSLL_INCLUDE_DIR ${OPENSSL_INCLUDE_DIR})
 endif()
 
-include_directories(${LIBUSB_INCLUDE_DIRS} ${LIBZSTD_INCLUDE_DIRS} ${UUUOPENSLL_INCLUDE_DIR} include)
+include_directories(${LIBUSB_INCLUDE_DIRS} ${LIBZSTD_INCLUDE_DIRS} ${UUUOPENSLL_INCLUDE_DIR} ${TINYXML2_INCLUDE_DIRS} include)
 
 
 if (FORCE_OLD)
@@ -29,7 +30,7 @@
 endif()
 
 set(CMAKE_CXX_FLAGS_DEBUG "-g -Wall -Wstrict-aliasing -Wextra ${UUUSSL} ${FORCE_OLDLIBUSB}")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 ${UUUSSL} ${FORCE_OLDLIBUSB}")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${UUUSSL} ${FORCE_OLDLIBUSB}")
 
 set(SOURCES
 	error.cpp
@@ -51,6 +52,7 @@
 	http.cpp
 	hidreport.cpp
 	sparse.cpp
+	bmap.cpp
 )
 
 set(generated_files_dir "${CMAKE_BINARY_DIR}/libuuu/gen")
