=== debian/changelog ===
mfgtools (1.5.201-1build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:23:14 +0000

mfgtools (1.5.201-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 12 Jan 2025 18:53:28 +0100
