=== debian/tests/control ===
Test-Command: uuu -h
Restrictions: allow-stderr superficial
Depends: @
