=== debian/changelog ===
mfgtools (1.5.233-1) unstable; urgency=medium

  * Drop patches from upstream
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 16 Oct 2025 13:52:19 +0200

mfgtools (1.5.201-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1097388)
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113283)

 -- Adrian Bunk <bunk@debian.org>  Thu, 09 Oct 2025 17:23:25 +0300
