=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mfgtools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Henry-Nicolas Tourneur <debian@nilux.be>,
  Andreas Henriksson <andreas@fatal.se>,
@@ -11,10 +10,11 @@
  debhelper-compat (= 13),
  help2man,
  libbz2-dev,
+ libtinyxml2-dev,
  libzstd-dev,
  libusb-1.0-0-dev,
  libssl-dev,
- pkg-config,
+ pkgconf,
  systemd-dev,
  zlib1g-dev,
 Standards-Version: 4.6.0
