=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mipsel powerpc sh4))
 export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
+
+deb_udevdir = $(shell pkg-config --variable=udevdir udev)
 
 %:
 	dh $@
@@ -23,5 +25,5 @@
 
 # generate udev rules
 execute_after_dh_auto_install:
-	test -e debian/uuu && mkdir -p debian/uuu/lib/udev/rules.d
-	debian/uuu/usr/bin/uuu -udev > debian/uuu/lib/udev/rules.d/70-uuu.rules 2>/dev/null
+	test -e debian/uuu && mkdir -p debian/uuu/$(deb_udevdir)/rules.d
+	debian/uuu/usr/bin/uuu -udev > debian/uuu/$(deb_udevdir)/rules.d/70-uuu.rules 2>/dev/null
