=== debian/changelog ===
mfgtools (1.5.239-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Nov 2025 10:19:46 +0100
