## mfgtools 1.5.243

=== debian/changelog ===
mfgtools (1.5.243-1+rpi1) forky-staging; urgency=medium

  [changes brought forward from 1.4.193-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 21 Jun 2022 09:37:45 +0000]
  * Link with libatomic on armhf too.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 03 Feb 2026 08:07:20 +0000

mfgtools (1.5.243-1) unstable; urgency=medium

  * New upstream release.
  * Update appstream metainfo

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 25 Jan 2026 15:05:25 +0100
